/*
  Eikon is an image similarity search engine based on wavelets.
  Copyright (C) 2002 Luke Francl

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package org.francl.eikon.image;

/** This exception should be thrown when the image to be processed's
    size is less than the minimum specified by YIQImage.MIN_IMAGE_WIDTH
    and YIQImage.MIN_IMAGE_HEIGHT 
    @author Luke Francl
**/
public class ImageTooSmallException extends Exception {
    public ImageTooSmallException() {
	
    }

    public ImageTooSmallException(String message) {
	super(message); 
    }
}
