/*
  Eikon is an image similarity search engine based on wavelets.
  Copyright (C) 2002 Luke Francl

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package org.francl.eikon.servlet;

import org.francl.eikon.image.ImageDownloader;
import org.francl.eikon.wavelet.Signature;
import org.francl.eikon.util.ImageMetaData;
import org.francl.eikon.util.ResourceId;
import org.francl.eikon.query.Query;
import org.francl.eikon.query.ResultSet;

import java.io.PrintWriter;
import javax.servlet.*;
import javax.servlet.http.*;

public class ResourceIdQueryServlet extends EikonServlet {

    public static final int DEFAULT_NUM_RESULTS = 5;
    
    public void doGet(HttpServletRequest req, HttpServletResponse res) {
	String queryId    = req.getParameter("resourceId");
	String numResults = req.getParameter("numResults");

	int results = DEFAULT_NUM_RESULTS;
	try {
	    results = Integer.parseInt(numResults);
	    if (results < 0 || results > 20) {
		results = DEFAULT_NUM_RESULTS;
	    }
	} catch (Exception e) {}


	
	try {
	    PrintWriter out = res.getWriter();
	    out.print("This isn't really working yet.");
	    ResourceId id = new ResourceId(queryId);
	    //Signature mySig = db.getSignature(imd);
	    //Query query = new Query(mySig, results);
	    //ResultSet rs = query.getResultSet(id);
	    //out.print(rs.toXml());
	} catch (Exception e) {
	    e.printStackTrace();
	    //e.printStackTrace(out); TODO: get an output writer :b
	}
    }
}
