<?xml version='1.0'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" indent="yes" />
<xsl:template match="/">
<html>
<head>
<title>Eikon Search Results</title>
</head>
<body>
<h1><a href="/">Eikon</a> Search Results</h1>

<table border="1" cellspacing="0">
	<xsl:for-each select="eikonmatches/exactmatch/imagemetadata">
	<tr>
		<td bgcolor="#99BBDD">
		<h2>Exact Match</h2>
		<strong>Source URL: </strong> 
		<a>
		<xsl:attribute name="href"><xsl:value-of select="source"/></xsl:attribute>
		<xsl:value-of select="source"/>
		</a><br/>
		<strong>Resource Id: </strong> 
		<xsl:value-of select="resourceid"/><br/>
		<strong>Width: </strong> 
		<xsl:value-of select="width"/><br/>
		<strong>Height: </strong>
		<xsl:value-of select="height"/><br/>
		
		<img>
		<xsl:attribute name="src">
			<xsl:value-of select="source"/>	
		</xsl:attribute>
		</img>
		</td>
	</tr>
	</xsl:for-each>
</table>

<xsl:for-each select="eikonmatches/imagemetadata">
	<p>
	<strong>Source URL: </strong> 
	<a>
	<xsl:attribute name="href"><xsl:value-of select="source"/></xsl:attribute>
	<xsl:value-of select="source"/>
	</a><br/>
	<strong>Resource Id: </strong> 
	<xsl:value-of select="resourceid"/><br/>
	<strong>Width: </strong> 
	<xsl:value-of select="width"/><br/>
	<strong>Height: </strong>
	<xsl:value-of select="height"/><br/>
	<a>
	<xsl:attribute name="href">query?queryUrl=<xsl:value-of select="source-encoded"/></xsl:attribute>
	Use this image as a query</a><br/><br/>

	<img>
	<xsl:attribute name="src">
		<xsl:value-of select="source"/>	
	</xsl:attribute>
	</img>
	</p>
</xsl:for-each>
</body>
</html>
</xsl:template>
</xsl:stylesheet>